Permalink
Browse files

couchdb:configure needs autoconf 2.62 because CouchDB ./bootstrap is …

…calling build-couchdb's local automake
  • Loading branch information...
jhs committed Jan 10, 2012
1 parent ecb07b3 commit bb33fb00811efd32e1ecbecbf99d5af1cd6aaf1f
Showing with 4 additions and 2 deletions.
  1. +4 −2 tasks/couchdb.rake
View
@@ -181,12 +181,14 @@ namespace :couchdb do
end
desc 'Run ./configure in a CouchDB checkout'
- task :configure => [:known_distro, 'environment:path', 'couchdb:dependencies'] do
+ task :configure => [:known_distro, 'environment:path', 'couchdb:dependencies', AUTOCONF_262] do
nocouch = "This task must run in a normal CouchDB checkout or tarball"
raise nocouch unless File.directory?('src/couchdb')
unless File.file? 'configure'
- sh './bootstrap'
+ with_autoconf "2.62" do
+ sh "./bootstrap"
+ end
end
if DISTRO[0] == :osx

0 comments on commit bb33fb0

Please sign in to comment.